Subject: Re: bug#21477: 24.4; Imenu - improper parse of shell function names

From: "Matthew Persico (BLOOMBERG/ 919 3RD A)" <[email-masked]>
Date: Wed, 12 Aug 2020 14:36:20 -0000

Do you have a particular list to ping, or do I try bash-testers or bug-bash?

From: [email-masked] At: 08/12/20 10:08:35To:  Matthew Persico (BLOOMBERG/ 919 3RD A ) 
Cc:  [email-masked]
Subject: Re: bug#21477: 24.4; Imenu - improper parse of shell function names

"Matthew Persico (BLOOMBERG/ 919 3RD A)" <[email-masked]>
writes:

> Interesting. I have function names with dashes all over and nothing
> complains. Not Bash 4.X, not shellcheck. If you ran that file in the
> post, it would not complain.
>
> Now, you can't use dashes in variables. But functions work just fine.
>
> I wonder if the bash manual needs an update?

Would you be willing to ask the bash maintainers about this?

Best regards,
Stefan Kangas